org.multiverse.stms.gamma

## Class AbstractGammaTxnExecutor

- java.lang.Object
- - org.multiverse.stms.gamma.AbstractGammaTxnExecutor

All Implemented Interfaces:
  TxnExecutor, MultiverseConstants, GammaTxnExecutor

Direct Known Subclasses:
  FatGammaTxnExecutor, LeanGammaTxnExecutor

    public abstract class AbstractGammaTxnExecutor
    extends java.lang.Object
    implements GammaTxnExecutor

An abstract `GammaTxnExecutor` implementation.

### Field Summary

Fields
`protected BackoffPolicy` `backoffPolicy`
`protected GammaTxnConfig` `txnConfig`
`protected GammaTxnFactory` `txnFactory`

### Fields inherited from interface org.multiverse.MultiverseConstants

`LOCKMODE_EXCLUSIVE, LOCKMODE_NONE, LOCKMODE_READ, LOCKMODE_WRITE, SHAKE_BUGS, SPIN_YIELD, TRACING_ENABLED`

### Constructor Summary

Constructors
Constructor and Description
`AbstractGammaTxnExecutor(GammaTxnFactory txnFactory)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.multiverse.stms.gamma.GammaTxnExecutor

`getTxnFactory`

### Methods inherited from interface org.multiverse.api.TxnExecutor

`execute, execute, execute, execute, execute, execute, executeChecked, executeChecked, executeChecked, executeChecked, executeChecked, executeChecked`

### Field Detail

#### txnFactory

    protected final GammaTxnFactory txnFactory

#### txnConfig

    protected final GammaTxnConfig txnConfig

#### backoffPolicy

    protected final BackoffPolicy backoffPolicy

### Constructor Detail

#### AbstractGammaTxnExecutor

    public AbstractGammaTxnExecutor(GammaTxnFactory txnFactory)